# curs_insch 3x

    curs_insch(3x)                                           curs_insch(3x)

## NAME

           insch,  winsch,  mvinsch,  mvwinsch  -  insert a character
           before cursor in a curses window

## SYNOPSIS

           #include <curses.h>

           int insch(chtype ch);
           int winsch(WINDOW *win, chtype ch);
           int mvinsch(int y, int x, chtype ch);
           int mvwinsch(WINDOW *win, int y, int x, chtype ch);

## DESCRIPTION

           These routines insert the character ch before the  charac-
           ter  under the cursor.  All characters to the right of the
           cursor are moved one space to the right, with  the  possi-
           bility  of the rightmost character on the line being lost.
           The insertion operation does not change the  cursor  posi-
           tion.

## RETURN VALUE

           All  routines that return an integer return ERR upon fail-
           ure and OK (SVr4 specifies only "an  integer  value  other
           than  ERR")  upon  successful completion, unless otherwise
           noted in the preceding routine descriptions.

## NOTES

           These routines do not necessarily imply use of a  hardware
           insert character feature.

           Note that insch, mvinsch, and mvwinsch may be macros.

## PORTABILITY

           These  functions are described in the XSI Curses standard,
           Issue 4.

## SEE ALSO

           curses(3x).

           Comparable  functions  in  the  wide-character  (ncursesw)
           library are described in curs_ins_wch(3x).

                                                             curs_insch(3x)